<template>
  <div class='app_button'>
    <button class="btn btn-outline-success" @click="toggleModal">Add new order</button>
    <modal :modal-id="modalId">
      <h4 style='margin-bottom: 60px; margin-top: 60px;'>
        Add new order:
      </h4>
     <span><label>  Restaurant name :  </label></span>
     <span><input class='form-control' v-model='restaurantName'> </input></span>
     <span><button class='btn btn-outline-secondary' @click="toggleModal"> Back </button></span>
     <span><button class="btn btn-outline-success" @click='createOrder'> Add order </button></span>
    </modal>
  </div>
</template>

<script>
export default {
    data () {
      return {
        message: '123',
        restaurantName: '',
        modalId: `addOrderButton`
      }
    },
    methods: {
      toggleModal() {
        this.$root.$emit(`toggleModal-${this.modalId}`)
      },
      createOrder() {
        this.$http.post(`api/v1/orders`, { order: {restaurant_name: this.restaurantName }}).then((response) => {
          this.$store.dispatch('addOrder', response.data.order )
        }).catch((error) => {
          this.$root.$emit(`displayError`, (error.response.data.message))
        })
        this.toggleModal()
      },
    }
  }
</script>
